<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>D-Index</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="D-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_D_">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#d3jsUrl">d3jsUrl</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#data">data</a></span> - Variable in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>
<div class="block">The optional (if uri is provided) binary data content representing the graph structure</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#data">data</a></span> - Variable in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></dt>
<dd>
<div class="block">the data object to store in cache</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html#data">data</a></span> - Variable in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a></dt>
<dd>
<div class="block">a property used to store internal process data</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/CPMDB.html#db">db</a></span> - Variable in class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db">CPMDB</a></dt>
<dd>
<div class="block">The mongo db handler</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html#dbcache">dbcache</a></span> - Static variable in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">DBCacheManager</a></dt>
<dd>
<div class="block">the db collection used to store data</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">DBCacheManager</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a></dt>
<dd>
<div class="block">This class is used to cache data in database</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html#DBCacheManager()">DBCacheManager()</a></span> - Constructor for class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">DBCacheManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCommand.html#dbobject">dbobject</a></span> - Variable in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task">CPMCommand</a></dt>
<dd>
<div class="block">The json db object representing this task unit</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#dbObject">dbObject</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">The reflection of the mongo db object document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#dbObject">dbObject</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>
<div class="block">The object reflecting the stored mongo db object</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#debugStream">debugStream</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>
<div class="block">Debug output.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DECIMAL_LITERAL">DECIMAL_LITERAL</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DEFAULT">DEFAULT</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">Lexical state.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#defaultLexState">defaultLexState</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#delete()">delete()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Delete the corpus (the deletion of the local files is handled by mgwiki)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#delete()">delete()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">delete this document alongside with revisions and elasticsearch index</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#delete()">delete()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">delete this collection alongside with the indexed sentences and stored graphs</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#delete()">delete()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">delete this graph from db (keeping it in the index, this is intended when this graph is deleted within collection deletion that already remove all its graph from index)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#delete(boolean)">delete(boolean)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">delete this graph from db</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#Delete(java.lang.String)">Delete(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>
<div class="block">Delete a macro</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteDocuments()">deleteDocuments()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Delete all the documents of the corpus (called when corpus is deleted)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#deleteGraph(java.lang.String)">deleteGraph(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>
<div class="block">delete a graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#deleteIndex()">deleteIndex()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Delete from the elasticsearch index the sentences of this document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#deleteIndex(java.lang.String)">deleteIndex(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">delete index of the sentences from the collection</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#deleteRevisions()">deleteRevisions()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Delete all revisions associated with this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#deleteSignatures()">deleteSignatures()</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">delete mgwiki signatures</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteTasks()">deleteTasks()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Delete associated tasks (called when corpus is deleted)</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">DepCONLLGraph</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a></dt>
<dd>
<div class="block">This class handles the DepCONLL format</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html#DepCONLLGraph(fr.inria.alpage.frmgcm.gm.GraphRevision)">DepCONLLGraph(GraphRevision)</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a></dt>
<dd>
<div class="block">Default constructor from graph revision data</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">DepXMLGraph</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a></dt>
<dd>
<div class="block">This class is used to handle DepXML format</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#DepXMLGraph(fr.inria.alpage.frmgcm.gm.GraphRevision)">DepXMLGraph(GraphRevision)</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>
<div class="block">Default constructor from graph revision data</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.CompNodePosition.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">DepXMLGraph.CompNodePosition</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a></dt>
<dd>
<div class="block">User comparator function to sort the nodes in their sentence order</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.CompNodePosition.html#DepXMLGraph.CompNodePosition()">DepXMLGraph.CompNodePosition()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.CompNodePosition.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph.CompNodePosition</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#description">description</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>
<div class="block">The optional description of the macro</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#diff(com.mongodb.BasicDBObject)">diff(BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>
<div class="block">Operate a diff between the data of this graph revision and newly provided data</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DIGIT">DIGIT</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#disable_tracing()">disable_tracing()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Disable tracing.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#docRevision">docRevision</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">The associated <a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document.DocumentRevision</code></a> that contain information about change made to the sentences of this document</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Document</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>
<div class="block">This class handle a file source contained in a corpus and reflects its counter part in mongodb, it also provides method associated with the document object</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#Document()">Document()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Document.DocumentRevision</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>
<div class="block">This class is used to store revision information of a document, in particular changes in graph revisions</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#Document.DocumentRevision()">Document.DocumentRevision()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Document.MapReduceIndexFiles</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>
<div class="block">Callback used to index sentence found in the syntactic analysis process result folder corresponding to this document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html#Document.MapReduceIndexFiles(fr.inria.alpage.frmgcm.corpus.Document)">Document.MapReduceIndexFiles(Document)</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Document.SentenceInfo</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html#Document.SentenceInfo()">Document.SentenceInfo()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.SentenceInfo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#documents">documents</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">JSON object mapping id of <a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> and its local path</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#documentsMapped">documentsMapped</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Boolean indicating if the documents present inside the corpus has been mapped (ie the field document has been filled)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#Done()">Done()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Reset buffer when finished.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_COORD">DPATH_COORD</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_FILTER_TYPE">DPATH_FILTER_TYPE</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_MACRO_PREFIX">DPATH_MACRO_PREFIX</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_NAV_AXIS">DPATH_NAV_AXIS</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#DPATH_RESULT_CACHE_MAX_SIZE">DPATH_RESULT_CACHE_MAX_SIZE</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_SET">DPATH_SET</a></span> - Static variable in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dt>
<dd>
<div class="block">RegularExpression Id.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathFilter()">DPathFilter()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathNavigation()">DPathNavigation()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">DPathParser</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></dt>
<dd>
<div class="block">An Arithmetic Grammar.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.InputStream)">DPathParser(InputStream)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Constructor with InputStream.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.InputStream,%20java.lang.String)">DPathParser(InputStream, String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Constructor with InputStream and supplied encoding</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.Reader)">DPathParser(Reader)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager)">DPathParser(DPathParserTokenManager)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Constructor with generated Token Manager.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">DPathParserConstants</span></a> - Interface in <a href="../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></dt>
<dd>
<div class="block">Token literal values and constants.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Tests.html#dpathparsertest()">dpathparsertest()</a></span> - Static method in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Tests.html" title="class in fr.inria.alpage.frmgcm.tools">Tests</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">DPathParserTokenManager</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></dt>
<dd>
<div class="block">Token Manager.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream)">DPathParserTokenManager(SimpleCharStream)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream,%20int)">DPathParserTokenManager(SimpleCharStream, int)</a></span> - Constructor for class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">DPathParserTreeConstants</span></a> - Interface in <a href="../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#dpathProcesses">dpathProcesses</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#dpathQueryHistoryMaxSize">dpathQueryHistoryMaxSize</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html" title="class in fr.inria.alpage.frmgcm.services"><span class="strong">DPathQueryMacroLibService</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/services/package-summary.html">fr.inria.alpage.frmgcm.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html#DPathQueryMacroLibService()">DPathQueryMacroLibService()</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html" title="class in fr.inria.alpage.frmgcm.services">DPathQueryMacroLibService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html#DPathQueryMacroLibService(java.lang.String)">DPathQueryMacroLibService(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html" title="class in fr.inria.alpage.frmgcm.services">DPathQueryMacroLibService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchMacroManager</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">This class handles operations over dpath macro/signatures</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html#DPathSearchMacroManager()">DPathSearchMacroManager()</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchMacroManager.DPathMacro</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">This class reflects the mongo db object used to store a dpath macro</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#DPathSearchMacroManager.DPathMacro()">DPathSearchMacroManager.DPathMacro()</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchMod</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">This class handle dpath query search</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#DPathSearchMod(java.lang.String)">DPathSearchMod(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>
<div class="block">Construct a the helper with a query</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchMod.DPathSearchBaseElement</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Get from the result of an elasticsearch hit (from the prefetch), the base material for the query</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#DPathSearchMod.DPathSearchBaseElement(com.mongodb.BasicDBObject)">DPathSearchMod.DPathSearchBaseElement(BasicDBObject)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Unit of search for DPath query language</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#DPathSearchUnit(fr.inria.alpage.frmgcm.search.DPathSearchUnit.DPathSearchFunction)">DPathSearchUnit(DPathSearchUnit.DPathSearchFunction)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dt>
<dd>
<div class="block">Construct a search unit from a <a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><code>DPathSearchUnit.DPathSearchFunction</code></a></div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathCoord</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Apply union or intersection between dpath expression</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#DPathSearchUnit.DPathCoord(java.util.ArrayList,%20java.util.ArrayList)">DPathSearchUnit.DPathCoord(ArrayList&lt;DPathSearchUnit&gt;, ArrayList&lt;String&gt;)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathExpression</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Evaluate a dpath expression</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#DPathSearchUnit.DPathExpression(java.util.ArrayList,%20java.lang.String)">DPathSearchUnit.DPathExpression(ArrayList&lt;DPathSearchUnit&gt;, String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathExpression</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#DPathSearchUnit.DPathExpression(java.util.ArrayList)">DPathSearchUnit.DPathExpression(ArrayList&lt;DPathSearchUnit&gt;)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathExpression</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathFilter</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Filter an entry set using the mapped result of search units process list applied over the entry set</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#DPathSearchUnit.DPathFilter(java.util.ArrayList)">DPathSearchUnit.DPathFilter(ArrayList&lt;DPathSearchUnit&gt;)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathNavigate</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Generate a new set from the entry set using predefined navigation axis</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html#DPathSearchUnit.DPathNavigate(java.lang.String)">DPathSearchUnit.DPathNavigate(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathNavigate</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathSearchFunction</span></a> - Interface in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Common interface for function that define a search unit (navigation, filter, test)</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">DPathSearchUnit.DPathTest</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></dt>
<dd>
<div class="block">Test a property of node/edge and consequently filter the entry input</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#DPathSearchUnit.DPathTest(java.lang.String,%20java.lang.String,%20java.lang.String)">DPathSearchUnit.DPathTest(String, String, String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathTest()">DPathTest()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#dump(java.lang.String)">dump(String)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
